<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Черный список');

///Подключаем шапку
$title->GetHeader();

if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Мой черный список </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/office" rel="v:url" property="v:title">Кабинет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Черный список</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - <a href="/office"> Кабинет</a> - Черный список</div>';
echo '<ul class="nav nav-pills nav-stacked"><li><a href="?add"><i class="md-apps"></i>  Добавить мастера</a></ul>';
if (isset($_POST['add'])) {
$user = check($_POST['user']);
$u = !is_numeric($user) ? "`nick`='".$user."'" : "`id`='".abs((int)$user)."'";
$row = DB::$dbs->queryFetch("SELECT * FROM blogger WHERE $u LIMIT 1");
if ($row == 0) {
err('Такого юзера нет!');
} elseif ($row['id'] == $b['id']) {
err('Нельзя себя добавлять.');
} elseif (empty($user)) {
err('Введите ID/Ник мастера.');
} elseif (DB::$dbs->querySingle("SELECT COUNT(id) FROM ignor WHERE user_id = ? AND id_user = ?", [$b['id'],$row['id']]) > 0) {
err('Этот мастер уже в Вашем игнор-листе.');
} else {
DB::$dbs->query("INSERT INTO ignor SET user_id = ?, id_user = ?", [$b['id'],$row['id']]);
$mess = Nick($b['id']).' добавил Вас в игнор-лист.';
jurnal($row['id'],$mess,5);
echo '<div class="row text_box">Успешно добавлено.</div>';
}
}
if (isset($_GET['add'])) {
echo '<div class="row text_box"><form action="?add" method="POST">ID/Ник мастера:<br/><input type="text" class="form-control" name="user"/><br/><input type="submit" name="add" class="btn btn-primary" value="Добавить"/></form></div>';
}
if (isset($_GET['del'])) {
DB::$dbs->query("DELETE FROM ignor WHERE id = ?", [abs((int)$_GET['del'])]);
header('location: ?');
die();
}

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM ignor WHERE user_id = ?", [$b['id']]);
if ($look == 0) {
echo '<div class="error">Ваш черный-список пуст!</div>';
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM ignor WHERE user_id = ? ORDER BY id DESC LIMIT $start,$num",[$b['id']]);
while($a = $sql->fetch()) {
$D = '<a href="?del='.$a['id'].'">[Удал]</a>';
echo ' <div class="row text_box">'.Nick($a['id_user']).'  ' .$D .'</div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>